local headerFontPath = "Interface\\AddOns\\CzechQuests\\Fonts\\morpheus_cz.ttf"
local textFontPath = "Interface\\AddOns\\CzechQuests\\Fonts\\frizquadratatt_cz.ttf"

local questTranslationFrame = CreateFrame("Frame", "QuestTranslationFrame", nil, BackdropTemplateMixin and "BackdropTemplate")
questTranslationFrame:SetWidth(QuestLogFrame:GetWidth())
questTranslationFrame:SetBackdrop({
    bgFile = "Interface/Buttons/WHITE8X8",
    edgeFile = "Interface/Tooltips/UI-Tooltip-Border",
    edgeSize = 16,
    insets = { left = 4, right = 4, top = 4, bottom = 4 },
})
questTranslationFrame:SetBackdropColor(236, 227, 161, 1)
questTranslationFrame:Hide()

local questTranslationFramePrimaryHeader = questTranslationFrame:CreateFontString("QuestTranslationFramePrimaryHeader", "OVERLAY", "QuestTitleFont")
questTranslationFramePrimaryHeader:SetWidth(questTranslationFrame:GetWidth() - 20)
questTranslationFramePrimaryHeader:SetJustifyH("LEFT")
questTranslationFramePrimaryHeader:SetTextColor(0, 0, 0, 1)
questTranslationFramePrimaryHeader:SetFont(headerFontPath, 20, nil)

local questTranslationFrameSecondaryHeader = questTranslationFrame:CreateFontString("QuestTranslationFrameSecondaryHeader", "OVERLAY", "QuestTitleFont")
questTranslationFrameSecondaryHeader:SetWidth(questTranslationFrame:GetWidth() - 20)
questTranslationFrameSecondaryHeader:SetJustifyH("LEFT")
questTranslationFrameSecondaryHeader:SetTextColor(0, 0, 0, 1)
questTranslationFrameSecondaryHeader:SetFont(headerFontPath, 20, nil)

local questTranslationFramePrimaryText = questTranslationFrame:CreateFontString("QuestTranslationFramePrimaryText", "OVERLAY", "QuestFont")
questTranslationFramePrimaryText:SetWidth(questTranslationFrame:GetWidth() - 20)
questTranslationFramePrimaryText:SetJustifyH("LEFT")
questTranslationFramePrimaryText:SetTextColor(0, 0, 0, 1)
questTranslationFramePrimaryText:SetFont(textFontPath, 15, nil)

local questTranslationFrameSecondaryText = questTranslationFrame:CreateFontString("QuestTranslationFrameSecondaryText", "OVERLAY", "QuestFont")
questTranslationFrameSecondaryText:SetWidth(questTranslationFrame:GetWidth() - 20)
questTranslationFrameSecondaryText:SetJustifyH("LEFT")
questTranslationFrameSecondaryText:SetTextColor(0, 0, 0, 1)
questTranslationFrameSecondaryText:SetFont(textFontPath, 15, nil)

QuestTranslationFrame:RegisterEvent("QUEST_PROGRESS")
QuestTranslationFrame:RegisterEvent("QUEST_COMPLETE")
QuestTranslationFrame:RegisterEvent("QUEST_FINISHED")
QuestTranslationFrame:RegisterEvent("QUEST_DETAIL")
